Bug 199375 - PATCH: sparc64 use CFLAGS
PATCH: sparc64 use CFLAGS
Product: Fedora
Classification: Fedora
Component: tcl (Show other bugs)
sparc64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2006-07-18 23:37 EDT by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-20 15:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
use cflags (886 bytes, patch)
2006-07-18 23:37 EDT, Dennis Gilmore
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2006-07-18 23:37:47 EDT
Description of problem:
sparc64 needs to use CFLAGS with CC to link properly using gcc the attached 
patch fixes this issue

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dennis Gilmore 2006-07-18 23:37:47 EDT
Created attachment 132654 [details]
use cflags
Comment 2 David Cantrell 2006-07-20 14:35:09 EDT
Why are you using $(CFLAGS) instead of ${CFLAGS} in the tcl.m4 file?
Comment 3 Dennis Gilmore 2006-07-20 14:57:35 EDT
Because it worked? :) If the latter is more correct (and works), then we're ok
with it.
Comment 4 David Cantrell 2006-07-20 15:33:50 EDT
I would say that $(CFLAGS) shouldn't work since it's not a Makefile you're
patching.  But I could be wrong.  I changed it to ${CFLAGS} in rawhide.  If that
doesn't work for you, let me know and I will change it back to what you had.

Note You need to log in before you can comment on or make changes to this bug.